# Progetto ambizioso numero 178

Prendiamo LXQt, lo miglioriamo lato desktop perché visivamente è brutto ma facile da modificare (Codice Qt, scritto bene, pulito).

Poi scriviamo dei sostituti di alcuni componenti in modo più ottimizzato per schermi piccoli.

Ad esempio, anziché chiudere le app con la x della window decoration, si usa la schermata di android in cui hai le preview, fai uno swipe e si chiude.

Il codice esiste già altrove per prendere spunto. Qt supporta nativamente le gesture. *"Non penso sia difficile"* (cit. Filippo)

Una cosa figa per tablet grandi e convertibili sarebbe uno switch automatico e/o manuale che passa da interfaccia desktop a quella touch. Basta fare un demone che controlla se hai attaccato una tastiera e un mouse fisici e passa a desktop. Poi un'impostazione che fa un override manuale e stoppa il demone per risparmiare batteria e perché in fase di testing è molto utile forzare a desktop o a mobile per analizzare gli edge case

## Riferimenti:

### Gesture touch per x11:

<https://github.com/JoseExposito/touchegg>  
<https://ubuntuhandbook.org/index.php/2022/06/touchpad-gestures-ubuntu-22-04-xorg>

### Gesture per touchpad:

<https://github.com/bulletmark/libinput-gestures>

### Mappatura bottoni fisici nella UI:

https://wiki.postmarketos.org/wiki/Troubleshooting:HID_buttons

### Temi fighi per Openbox X11

(finche non troviamo un rimpiazzo o passiamo a wayland)

https://www.opendesktop.org/p/1751984

### Schifo esempio di Phosh su Xfce:

https://github.com/Gusaroo/tuna/tree/main/src

### Documentazione API gesture Qt:

https://doc.qt.io/qt-5/qtwidgets-gestures-imagegestures-example.html

### Whiskermenu XFCE (Bello):

https://gitlab.xfce.org/panel-plugins/xfce4-whiskermenu-plugin/

### Port abbandonato a Qt

(bispona ripartire da.zero, problemi di licenze):

https://github.com/elviosak/plugin-wingmenu

### Xfwm4 Tabwin (overlay app switch):

https://gitlab.xfce.org/xfce/xfwm4/-/blob/master/src/tabwin.c

### Altro esempio:

https://github.com/richardgv/skippy-xd

Dopo esserci divertiti ad implementarlo passeremo a collaborare con uno già esistente:
https://github.com/zjes/lxqt-appswitcher

Non sbirciare prima di averlo implementato da te!

### Menu di logout (per wayland):

https://github.com/ArtsyMacaw/wlogout
https://github.com/stefonarch/lxqt-wlogout

### Config file per ottimizzare LXQt su tablet

<https://gitlab.com/antoni.aloytorrens/lxqt-tablet>